<!doctype html>
<html>
<?php include 'head.php'; ?>
<body>
<?php
/*Template Name: Custom Jobs*/
get_header();
?>
<div class="ny_ban"><img src="/wp-content/uploads/2024/03/2019072513414199.jpg"></div>

<div class="ny_main w1200">
	<div class="l">
		<div class="box">
    <div class="tit">诚聘英才</div>
    <div class="bor">
        <ul class="lm">
            <?php
            // 获取当前子分类
            $cat_id = $_REQUEST['fid'] ?? 40;
            // 输出目录
            echo get_slider_submenus('jobs',39,$cat_id)
            ?>
        </ul>
    </div>
</div>		
<?php include 'concat.php'; ?>	
</div>
	<div class="r">
        <div class="tit">
			<div class="lj">您当前位置 ：<a href="/index">首页</a> > <a href="/jobs">诚聘英才</a> > <span><?php echo get_cat_name($cat_id) ?></span></div>
			<span><?php echo get_cat_name($cat_id) ?></span>
		</div>
        <div class="con">
        <?php
            // 假设你已经在WordPress环境中，并且有分类ID $category_id
            $category_id = $cat_id; // 替换为你的分类ID
            
            // 获取分页参数
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            $pageSize = $cat_id == 40 ? 5 : 9;
            // 查询参数
            $args = array(
                'cat' => $category_id, // 分类ID
                'posts_per_page' => $pageSize, // 每页显示的文章数量
                'paged' => $paged
            );
            
            // 查询文章
            $query = new WP_Query($args);

            if ($query->have_posts()) {
                if($cat_id == 40){  
                    echo '<div class="ny_jobs"><ul>';
                }
                if($cat_id == 41){  
                    echo '<div class="ny_jobs2"><ul>';
                }
                while ($query->have_posts()) {
                    $query->the_post();
                    // 在这里编写你的文章列表
                    $post_id = get_the_ID(); // 获取文章ID
                    $excerpt = get_the_excerpt(); // 获取摘要
                    $content = get_the_content(); // 文字内容 
                    // 招聘信息
                    if($cat_id == 40){  
        ?>
                    <li class="jobs-list">
                        <div class="jobs-title">
                            <h3><?php the_title(); ?></h3>
                            <p><?php echo $excerpt; ?></p>
                        </div>
                        <div class="jobs-content">
                            <?php echo $content; ?>
                        </div>
                    </li>
         <?php
                    } 
                    // 员工风采 
                    if($cat_id == 41){  
        ?>
                        <li>
                            <div>
                                <?php
                                if(has_post_thumbnail()){
                                    // 获取特色图片的ID
                                    $thumbnail_id = get_post_thumbnail_id();
                                    // 获取特色图片的URL
                                    $thumbnail_url = wp_get_attachment_url( $thumbnail_id );
                                    
                                ?>
                                    <a href="#"><img src="<?php echo $thumbnail_url ?>" width="100%"></a>
                                <?php
                                    }
                                ?>
                            </div>
                            <h3><a href="#"><?php the_title(); ?></a></h3>
                        </li>
        <?php
                    }
             }
                echo '</ul></div>';
                // 分页导航
                lingfeng_pagenavi();
            } else {
                // 没有找到文章的提示
                echo '没有找到文章。';
            }
            
            // 重置WordPress查询
            wp_reset_postdata();
        ?>
        </div>
    </div>
</div>
<style>
    .swiper-wrapper{height:auto;}
    .jobs-list{
        border-bottom:1px solid #eee;
    }
    .jobs-title{
        display:flex;
        align-items: center;
        justify-content: space-between;
        background: #f1f1f1;
        padding: 0 15px;
        border-radius: 10px;
    }
    .jobs-title > p{
        margin-left: 20px;
    }
    .jobs-content{
        padding: 20px;
    }
    .jobs-content p{
        margin-bottom: 15px;
    }
</style>
<?php get_footer(); ?>

</body>
</html>