<!doctype html>
<html>
<?php include 'head.php'; ?>
<body>
<?php
/*Template Name: Custom Join*/
get_header();
?>
<div class="ny_ban"><img src="/wp-content/uploads/2024/03/2019072513554171.png"></div>

<div class="ny_main w1200">
	<div class="l">
		<div class="box">
    <div class="tit">我要加盟</div>
    <div class="bor">
        <ul class="lm">
            <li><a href="/joinIndex"><span>&gt;&gt;</span>加盟首页</a></li>
            <?php
            // 获取当前子分类
            $cat_id = $_REQUEST['fid'] ?? 12;
            // 输出目录
            echo get_slider_submenus('join',10,$cat_id)
            ?>
        </ul>
    </div>
</div>		
<?php include 'concat.php'; ?>
</div>
	<div class="r">
        <div class="tit">
			<div class="lj">您当前位置 ：<a href="/index">首页</a> > <a href="/join">我要加盟</a> > <span><?php echo get_cat_name($cat_id) ?></span></div>
			<span><?php echo get_cat_name($cat_id) ?></span>
		</div>
        <div class="con <?php echo $cat_id == 13 ? 'jmtj':'' ?>">
        <?php
            if($cat_id != 16 && $cat_id != 17){
                // 获取该分类下的第一篇文章
                $args = array(
                    'cat' => $cat_id, // 分类ID
                    'posts_per_page' => 1, // 每页显示的文章数量
                    'orderby' => 'date', // 按日期排序
                    'order' => 'ASC', // 升序
                );

                $cur_post = get_posts($args);
                setup_postdata($cur_post);

                if (count($cur_post)>0) {
                    $content = $cur_post[0]->post_content; // 文章内容
                    echo $content;
                } else {
                    echo '文章不存在';
                }

                // 释放查询结果
                wp_reset_postdata();
            }

            // 加盟解答
            if($cat_id == 16){
                // 假设你已经在WordPress环境中，并且有分类ID $category_id
                $category_id = $cat_id; // 替换为你的分类ID
                
                // 获取分页参数
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                
                // 查询参数
                $args = array(
                    'cat' => $category_id, // 分类ID
                    'posts_per_page' => 10, // 每页显示的文章数量
                    'paged' => $paged
                );

                // 查询文章
                $query = new WP_Query($args);
                $index = 0 + ($paged-1) * 10;

                echo '<div class="ny_join6">';
                if ($query->have_posts()) {  
                    while ($query->have_posts()) {
                        $query->the_post();
                        // 在这里编写你的文章列表
                        $post_id = get_the_ID(); // 获取文章ID
                        $index = $index + 1;
                        $content = get_post_field('post_content', $post_id);
        ?>
                    <dl>
                        <dt><div></div><span><?php echo $index ?></span><?php the_title(); ?></dt>
                        <dd><?php echo $content ?></dd>
                    </dl>
        <?php
                    }
                    // 分页导航
                  lingfeng_pagenavi();
                } else {
                    // 没有找到文章的提示
                    echo '没有找到文章。';
                }
                echo '</div>';
            }

            // 加盟申请
            if($cat_id == 17){
                include 'commentForm.php';
            }
        ?>
        </div>
    </div>
</div>
<style>
    .swiper-wrapper{height:auto;}
</style>
<?php get_footer(); ?>
 
<script>
    jQuery(document).ready(function($) {
        $('.ny_join6 dl dt').click(function(){
            var a=$(this).parent('dl').attr('class');
            if(a=='on'){
                $(this).parent('dl').removeClass('on');
            }else{
                $(this).parent('dl').addClass('on').siblings().removeClass('on');
            }
        });

        $('#contact-form').submit(function(e) {
            e.preventDefault();
            if($("#rename").val()==''){
                alert('请输入姓名!');
                return
            }
            if($("#phone").val()==''){
                alert('请输入电话!');
                return
            }
            
            $.ajax({
                url: $(this).attr('action'),
                type: 'post',
                data: {
                    action: 'submit_custom_comment',
                    comment_data: $(this).serialize()
                },
                success: function(response) {
                    alert('提交成功!');
                    $('#contact-form')[0].reset();
                },
                error: function() {
                    alert('提交失败，请重试.');
                }
            });
        });
    });
</script>
</body>
</html>