<!doctype html>
<html>
<?php include 'head.php'; ?>
<body>
<?php
/*Template Name: Custom News*/
get_header();
?>
<div class="ny_ban"><img src="/wp-content/uploads/2024/03/2019072513571726.jpg"></div>

<div class="ny_main w1200">
	<div class="l">
		<div class="box">
    <div class="tit">新闻中心</div>
    <div class="bor">
        <ul class="lm">
            <?php
            // 获取当前子分类
            $cat_id = $_REQUEST['fid'] ?? 6;
            // 输出目录
            echo get_slider_submenus('news',5,$cat_id)
            ?>
        </ul>
    </div>
</div>		
<?php include 'concat.php'; ?>
</div>
	<div class="r">
		<div class="tit">
			<div class="lj">您当前位置 ：<a href="/index">首页</a> > <a href="/news">新闻中心</a> > <span><?php echo get_cat_name($cat_id) ?></span></div>
			<span><?php echo get_cat_name($cat_id) ?></span>
		</div>
        <div class="con ny_news">
        <ul>
        <?php
            // 假设你已经在WordPress环境中，并且有分类ID $category_id
            $category_id = $cat_id; // 替换为你的分类ID
            
            // 获取分页参数
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            
            // 查询参数
            $args = array(
                'cat' => $category_id, // 分类ID
                'posts_per_page' => 5, // 每页显示的文章数量
                'paged' => $paged
            );
            
            // 查询文章
            $query = new WP_Query($args);
            
            if ($query->have_posts()) {
                while ($query->have_posts()) {
                    $query->the_post();
                    // 在这里编写你的文章列表
                    $post_id = get_the_ID(); // 获取文章ID
                    $excerpt = get_the_excerpt(); // 获取摘要
                    if ( mb_strlen( $excerpt ) > 90 ) { // 如果字数超过200字
                        $excerpt = mb_substr( $excerpt, 0, 90 ); // 截取前200个字符
                        $excerpt .= '...'; // 添加省略号
                    } 
        ?>
                <li>
                    <div>
                        <?php
                        if(has_post_thumbnail()){
                            // 获取特色图片的ID
                            $thumbnail_id = get_post_thumbnail_id();
                            // 获取特色图片的URL
                            $thumbnail_url = wp_get_attachment_url( $thumbnail_id );
                            
                        ?>
                            <a href="/newsDetail/?id=<?php echo the_id() ?>&&fid=<?php echo $category_id ?>"><img src="<?php echo $thumbnail_url ?>" width="100%"></a>
                        <?php
                            }
                        ?>
                    </div>
                    <h3><a href="/newsDetail/?id=<?php echo the_id() ?>&&fid=<?php echo $category_id ?>"><?php the_title(); ?></a></h3>
                    <span><?php echo get_the_date(); ?></span>
                    <p><?php echo $excerpt; ?></p>
                    <a href="/newsDetail/?id=<?php echo the_id() ?>&&fid=<?php echo $category_id ?>">查看详情 &gt;&gt;</a>
                </li>
        <?php
                }
                // 分页导航
                lingfeng_pagenavi();
            } else {
                // 没有找到文章的提示
                echo '没有找到文章。';
            }
            
            // 重置WordPress查询
            wp_reset_postdata();
        ?>
        </ul>
        </div>
    </div>
</div>
<style>
    .swiper-wrapper{height:auto;}
</style>
<?php get_footer(); ?>

</body>
</html>